Article ID: 113104, created on Jan 10, 2012, last review on Aug 12, 2014

  • Applies to:
  • Virtuozzo containers for Windows


Microsoft Powershell requires .NET Framework software to be installed on the Hardware Node. It is safe to install Powershell v. 2.0 to Windows 2008 R2 servers only and Powershell v. 1.0 to Windows 2003 servers only.
In other cases, installing Powershell directly on the Hardware Node is NOT RECOMMENDED.

If Powershell must be installed on a Hardware Node, then it is necessary to consider the following:
1. You must install Powershell before any container is created.
2. Before migrating a container from a Node with Powershell installed to another Node, make sure both Nodes have the same Powershell version installed.

Additional information

Also see this article:
11220: Is it safe to install Microsoft .NET Framework on a Hardware Node?

965b49118115a610e93635d21c5694a8 d02f9caf3e11b191a38179103495106f 2897d76d56d2010f4e3a28f864d69223

Email subscription for changes to this article
Save as PDF